OID Class Reference

Object Identifier. More...

## Public Member Functions

| OID ()
| Construct an OID.
| OID (word32 v)
| Construct an OID. More...
| OID (BufferedTransformation &bt)
| Construct an OID. More...
OID & | operator+= (word32 rhs)
| Append a value to an OID. More...
void | DEREncode (BufferedTransformation &bt) const
| DER encode this OID. More...
void | BERDecode (BufferedTransformation &bt)
| BER decode an OID. More...
void | BERDecodeAndCheck (BufferedTransformation &bt) const
| BER decode an OID. More...

## Public Attributes

std::vector< word32 > | m_values

## Detailed Description

Object Identifier.

Definition at line 159 of file asn.h.

## Constructor & Destructor Documentation

## OID() [1/2]

OID::OID | ( | word32 | v | ) |

inline

Construct an OID.

Parameters

  v | value to initialize the OID

Definition at line 166 of file asn.h.

## OID() [2/2]

OID::OID | ( | BufferedTransformation & | bt | ) |

inline

Construct an OID.

Parameters

  bt | BufferedTransformation object

Definition at line 169 of file asn.h.

## Member Function Documentation

## operator+=()

OID& OID::operator+= | ( | word32 | rhs | ) |

inline

Append a value to an OID.

Parameters

  rhs | the value to append

Definition at line 173 of file asn.h.

## DEREncode()

void OID::DEREncode | ( | BufferedTransformation & | bt | ) | const

DER encode this OID.

Parameters

  bt | BufferedTransformation object

Definition at line 256 of file asn.cpp.

## BERDecode()

void OID::BERDecode | ( | BufferedTransformation & | bt | ) |

BER decode an OID.

Parameters

  bt | BufferedTransformation object

Definition at line 268 of file asn.cpp.

## BERDecodeAndCheck()

void OID::BERDecodeAndCheck | ( | BufferedTransformation & | bt | ) | const

BER decode an OID.

Parameters

  bt | BufferedTransformation object

Exceptions

  BERDecodeErr() | if decoded value doesn't match an expected OID

BERDecodeAndCheck() can be used to parse an OID and verify it matches an expected.

      BERSequenceDecoder key(bt);
      ...
      BERSequenceDecoder algorithm(key);
      GetAlgorithmID().BERDecodeAndCheck(algorithm);

Definition at line 297 of file asn.cpp.

The documentation for this class was generated from the following files:

- asn.h
- asn.cpp